Package com.orbbec.obsensor

## Class CompressionFilter

- java.lang.Object
- - com.orbbec.obsensor.LobClass
  - - com.orbbec.obsensor.Filter
    - - com.orbbec.obsensor.CompressionFilter

All Implemented Interfaces:
  `java.lang.AutoCloseable`, `java.lang.Cloneable`

    public class CompressionFilter
    extends Filter

### Field Summary

### Fields inherited from class com.orbbec.obsensor.LobClass

`handle, owner`

### Constructor Summary

Constructors
`CompressionFilter()` Create compression filter

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setCompressionParams​(CompressionMode mode, CompressionParams params)` Set compression parameters

### Methods inherited from class com.orbbec.obsensor.Filter

`close, process, pushFrame, reset, setCallback`

### Methods inherited from class com.orbbec.obsensor.LobClass

`getHandle, throwInitializeException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompressionFilter

    public CompressionFilter()

Create compression filter

### Method Detail

#### setCompressionParams

    public void setCompressionParams​(CompressionMode mode,
                                     CompressionParams params)

Set compression parameters

Parameters:
  `mode` - Compression mode
  `params` - Compression params, struct ob_compression_params, when mode is OB_COMPRESSION_LOSSLESS, params is NULL